import { ClassesService } from './classes.service';
import { CreateClassDto } from './dto/create-class.dto';
import { UpdateClassDto } from './dto/update-class.dto';
export declare class ClassesController {
    private readonly classesService;
    constructor(classesService: ClassesService);
    getAllPublic(): Promise<(import("mongoose").FlattenMaps<import("./schemas/class.schema").ClassDocument> & Required<{
        _id: string;
    }>)[]>;
    getNext(id: string): Promise<(import("mongoose").FlattenMaps<import("./schemas/class.schema").ClassDocument> & Required<{
        _id: string;
    }>) | null>;
    create(dto: CreateClassDto): Promise<import("mongoose").FlattenMaps<import("./schemas/class.schema").Class & import("mongoose").Document<unknown, any, any, Record<string, any>> & Required<{
        _id: string;
    }>> | undefined>;
    findAll(): Promise<(import("mongoose").FlattenMaps<import("./schemas/class.schema").ClassDocument> & Required<{
        _id: string;
    }>)[]>;
    findOne(id: string): Promise<(import("mongoose").FlattenMaps<import("./schemas/class.schema").ClassDocument> & Required<{
        _id: string;
    }>) | null>;
    update(id: string, dto: UpdateClassDto): Promise<(import("mongoose").FlattenMaps<import("./schemas/class.schema").ClassDocument> & Required<{
        _id: string;
    }>) | null | undefined>;
    delete(id: string): Promise<(import("mongoose").FlattenMaps<import("./schemas/class.schema").ClassDocument> & Required<{
        _id: string;
    }>) | null>;
}
